<!--
 * @Author: your name
 * @Date: 2020-11-23 15:23:19
 * @LastEditTime: 2021-05-31 14:27:02
 * @LastEditors: Please set LastEditors
 * @Description: In User Settings Edit
 * @FilePath: \precise_delivery_distribution_front\src\App.vue
-->
<template>
  <a-config-provider :locale="locale">
    <router-view />
  </a-config-provider>
</template>

<script lang="ts">
import { defineComponent, ref } from "vue";
import zhCN from "ant-design-vue/lib/locale-provider/zh_CN";
import { useWatermark } from "@/hooks/useWatermark";
const App = defineComponent({
  setup() {
    const locale = ref(zhCN);
    const { setWatermark, clear } = useWatermark();
    setWatermark();
    return { locale, setWatermark, clear };
  },
});

export default App;
</script>
